Zydis v4.1.1

Loading...
Searching...
No Matches
Utils.h File Reference

Other utility functions. More...

`#include <Zycore/Defines.h>`
`#include <Zydis/DecoderTypes.h>`
`#include <Zydis/Status.h>`

Go to the source code of this file.

## Functions
ZYDIS_EXPORT ZyanStatus | ZydisCalcAbsoluteAddress (const ZydisDecodedInstruction *instruction, const ZydisDecodedOperand *operand, ZyanU64 runtime_address, ZyanU64 *result_address)
| Calculates the absolute address value for the given instruction operand.
ZYDIS_EXPORT ZyanStatus | ZydisCalcAbsoluteAddressEx (const ZydisDecodedInstruction *instruction, const ZydisDecodedOperand *operand, ZyanU64 runtime_address, const ZydisRegisterContext *register_context, ZyanU64 *result_address)
| Calculates the absolute address value for the given instruction operand.

## Detailed Description

Other utility functions.